Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.cin.nippin.memberdata.saml.extension
Class Facet

    java.lang.Object
      be.cin.nippin.memberdata.saml.extension.Facet

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2025-03-20T10:14:10+01:00",
               comments="JAXB RI v2.3.6")
    public class Facet

extends Object
implements Serializable

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Dimension" maxOccurs="unbounded" minOccurs="0">
               <complexType>
                 <simpleContent>
                   <extension base="<http://www.w3.org/2001/XMLSchema>string">
                     <attribute name="id" use="required" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
                   </extension>
                 </simpleContent>
               </complexType>
             </element>
           </sequence>
           <attribute name="id" use="required" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`Facet()`

Method Summary
`List<Dimension>` | `getDimensions()` Gets the value of the dimensions property.
`String` | `getId()` Gets the value of the id property.
`void` | `setId(String value)` Sets the value of the id property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Facet

    public Facet()

Method Detail

### getDimensions

    public List<Dimension> getDimensions()

  Gets the value of the dimensions property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the dimensions property.

  For example, to add a new item, do as follows:

          getDimensions().add(newItem);

  Objects of the following type(s) are allowed in the list `Dimension`

### getId

    public String getId()

  Gets the value of the id property.

  Returns:
    possible object is `String`

### setId

    public void setId(String value)

  Sets the value of the id property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.28.5 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.